.activities-ctn {
  display: flex;
  flex: auto;
  flex-direction: column;
  min-height: 0;
}
.activities-header {
  display: flex;
  flex-direction: column;
}
.activities-header-filters {
  display: flex;
  flex: 1;
  flex-direction: row;
  align-items: center;
  margin-bottom: 1rem;
}
.activities-header-filters-input {
  display: flex;
  flex: 1;
}
.activities-header-filters-toggle {
  display: flex;
  font-size: 1rem;
  font-variant: tabular-nums;
  list-style: none;
  font-feature-settings: 'tnum', 'tnum';
  position: relative;
  margin-left: 1rem;
}
.activities-header-filters-toggle-indicator {
  display: flex;
  width: 0.9rem;
  height: 0.9rem;
  background: var(--pr-accent-color);
  border-radius: 100%;

  &--active {
    background: var(--pr-accent-color-contrast);
  }
}
.activities-header-filters-toggle-count {
  font-size: 0.75rem;
}

.activities-content {
  display: flex;
  flex-direction: column;
  flex: auto;
  min-height: 0;
}
.activities-feed-ctn {
  display: flex;
  flex-direction: column;
  overflow: auto;
  height: 100%;
  position: relative;
}
.activities-feed-tools {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;
}
.activities-feed-tools-button {
  margin-left: 0.5rem;
  font-size: 1.6rem;
}

.activities-feed-empty {
  display: flex;
  flex-direction: column;
  flex: 1;
  align-items: center;
  justify-content: center;
  color: var(--pr-caption-text);
}
.activities-feed-empty-icon {
  font-size: 5rem;
}
.activities-feed-section {
  margin-bottom: 2rem;
}
.activities-feed-section-title {
  margin-bottom: 1rem;
  letter-spacing: 2px;
  font-weight: bold;
  opacity: 0.6;
}
.activities-feed-section-item-ctn {
  display: flex;
  flex-direction: column;
  color: var(--pr-main-text);
}
.activities-feed-section-item-header {
  display: flex;
  flex-direction: row;
}
.activities-feed-section-item-img {
  margin-right: 1rem;
  border-radius: 0.3rem;
  object-fit: cover;
}
.activities-feed-section-item-title {
  align-items: center;
  max-width: 25%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-size: 1rem;
  font-weight: bold;
}
.activities-feed-section-item-img--read,
.activities-feed-section-item-title--read {
  opacity: 0.5;
}
.activities-feed-section-item-date {
  margin-left: 1rem;
  font-size: 0.875rem;
  font-weight: 300;
}
.activities-feed-section-item-details {
  margin-top: 0.625rem;
  margin-left: 3rem;
  font-size: 1rem;
  font-weight: 300;
}
